/*** intuall.h **************************************************************
 *
 *  intuall.h, general includer for intuition
 *
 *  Confidential Information: Commodore-Amiga, Inc.
 *  Copyright (c) Commodore-Amiga, Inc.
 *
 *                  		Modification History
 *	date	    author :   	Comments
 *	------      ------      -------------------------------------
 *	1-30-85     -=RJ=-      created this file!
 *
 ****************************************************************************/

#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/lists.h>
	/* #include <exec/interrupts.h> */
#include <exec/memory.h>
#include <exec/ports.h>
#include <exec/tasks.h>
#include <exec/libraries.h>
#include <exec/devices.h>
#include <exec/io.h>
#include <exec/devices.h>

#include <devices/console.h>
#include <devices/timer.h>
#include <devices/keymap.h>
#include <devices/inputevent.h>

#define Msg IOStdReq		/* temporary kluge for dosextens.h */

#include <libraries/dos.h>
#include <libraries/dosextens.h>

/* ALWAYS INCLUDE GFX.H before other includes */
#include <graphics/gfx.h>

/* new as of 7/9/85 */
#include <graphics/regions.h>
#include <hardware/blit.h>

/* temporary kludge for gels.h */
#define blitNode bltnode

#include <graphics/collide.h>
#include <graphics/copper.h> 
#include <graphics/display.h>
#include <hardware/dmabits.h>
#include <graphics/gels.h>
#include <graphics/clip.h>
#include <graphics/rastport.h>
#include <graphics/view.h>
#include <graphics/gfxbase.h>
#include <graphics/text.h>
	/* #include <hardware/intbits.h> */
#include <hardware/custom.h>
#include <graphics/gfxmacros.h>
#include <graphics/layers.h>

/* changed so I can get gadget addr */
#include <intuition/intuition.h>
#include <devices/gameport.h>
